### Method

# Gio Proxy connect

since: 2.26

#### Declaration [src]

    GIOStream*
    g_proxy_connect (
      GProxy* proxy,
      GIOStream* connection,
      GProxyAddress* proxy_address,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Given `connection` to communicate with a proxy (eg, a `GSocketConnection` that is connected to the proxy server), this does the necessary handshake to connect to `proxy_address`, and if required, wraps the `GIOStream` to handle proxy payload.

Available since: 2.26

#### Parameters

`connection`

  Type: `GIOStream`

  A `GIOStream`.

  The data is owned by the caller of the method.

`proxy_address`

  Type: `GProxyAddress`

  A `GProxyAddress`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GIOStream`

A `GIOStream` that will replace `connection`. This might be the same as `connection`, in which case a reference will be added.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.